Index: bootstrap/win/profile.d.python.sh |
diff --git a/bootstrap/win/profile.d.python.sh b/bootstrap/win/profile.d.python.sh |
new file mode 100755 |
index 0000000000000000000000000000000000000000..39852024f2a8c2affc4438e8b5ab379a2e75c33a |
--- /dev/null |
+++ b/bootstrap/win/profile.d.python.sh |
@@ -0,0 +1,20 @@ |
+#!/bin/bash |
+# This alias allows invocations of `python` to work as expected under msys bash. |
+# In particular, it detects if stdout+stdin are both attached to a pseudo-tty, |
+# and if so, invokes python in interactive mode. If this is not the case, or |
+# the user passes any arguments, python will be invoked unmodified. |
+python() { |
+ if [[ $# > 0 ]]; then |
+ python.exe "$@" |
+ else |
+ readlink /proc/$$/fd/0 | grep pty > /dev/null |
+ TTY0=$? |
+ readlink /proc/$$/fd/1 | grep pty > /dev/null |
+ TTY1=$? |
+ if [ $TTY0 == 0 ] && [ $TTY1 == 0 ]; then |
+ python.exe -i |
+ else |
+ python.exe |
+ fi |
+ fi |
+} |